# Yahoo! UI Library

### DataTable Widget 2.9.0

Yahoo! UI Library > datatable > YAHOO.util.ColumnDD
Search:
Filters Show Private Show Protected Show Deprecated

## Class YAHOO.util.ColumnDD - extends YAHOO.util.DDProxy

ColumnDD subclasses DragDrop to support rearrangeable Columns.

### Constructor

YAHOO.util.ColumnDD `( oDataTable , oColumn , elTh , elTarget )`

Parameters:
  `oDataTable <YAHOO.widget.DataTable>` DataTable instance.
  `oColumn <YAHOO.widget.Column>` Column instance.
  `elTh <HTMLElement>` TH element reference.
  `elTarget <HTMLElement>` Drag target element.

Copyright © 2011 Yahoo! Inc. All rights reserved.